Kerbal Space Program - Bug #18730

Fuel flow animation running in wrong direction for FTX-2 External Fuel Duct
04/29/2018 03:55 AM - jclovis3

Status: Need More Info Start date: 04/29/2018
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.4.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The new green arrows added to the fuel flow animation is running in the wrong direction when using the FTX-2 External Fuel Duct.
As shown in the video, | attach them from the tank to the structure because I-Beams do not support fuel transfer. The animation
shows fuel going from the tank to the first end of the duct, then coming back from the structure along the path of the I-Beam.
Expected result: Animation should show fuel flow along the path of the duct away from the tank as indicated on the duct itself.

Watch: https://youtu.be/eTv6iFIRblo

History

#1 - 05/01/2018 11:18 AM - Squelch

- Status changed from New to Need More Info

Could you attach the craft file please? I'm having trouble reproducing this and | see multiple problems in your video that need to be understood.

#2 - 05/01/2018 04:39 PM - jclovis3
- File Fuel Duct Test.craft added

Uploading video now: https://youtu.be/TT0j7cx6J10

To reproduce, switch from single node attachment to radial symmetry. That is what | just noticed putting this thing back together again.

Files

Fuel Duct Test.craft 37.3 KB 05/01/2018 jclovis3
